> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Execution Context Files

> Upload files to a running execution that is already in progress. If you want to attach files to an execution that is not yet running, see the /temp-files endpoint.



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml post /executions/{executionId}/context-files
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
  - name: Admin Customer Activity
paths:
  /executions/{executionId}/context-files:
    post:
      tags:
        - Files
      summary: Upload Execution Context Files
      description: >-
        Upload files to a running execution that is already in progress. If you
        want to attach files to an execution that is not yet running, see the
        /temp-files endpoint.
      operationId: ExecutionContextFilesUpload
      parameters:
        - in: path
          name: executionId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
      requestBody:
        content:
          multipart/form-data:
            encoding:
              files:
                contentType: text/plain
            schema:
              properties:
                files:
                  items:
                    $ref: '#/components/schemas/Agents.Files.FilePart'
                  type: array
              required:
                - files
              type: object
        required: true
      responses:
        '200':
          content:
            text/plain:
              schema:
                enum:
                  - Files uploaded.
                type: string
          description: The request has succeeded.
        '400':
          content:
            text/plain:
              schema:
                enum:
                  - Invalid file upload request.
                type: string
          description: The server could not understand the request due to invalid syntax.
        '404':
          content:
            text/plain:
              schema:
                enum:
                  - Execution not found.
                type: string
          description: The server cannot find the requested resource.
components:
  schemas:
    Common.uuid:
      format: uuid
      type: string
    Agents.Files.FilePart:
      format: binary
      type: string
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````